{
  "name": "vite-react-ts-eslint-prettier",
  "private": true,
  "version": "0.0.0",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "buildDev": "vite build --mode development",
    "build:tsc": "tsc && vite build",
    "preview": "vite preview",
    "lint": "npx eslint src",
    "lint:fix": "npm run lint -- --fix",
    "prettier": "npx prettier src --check",
    "prettier:fix": "npm run prettier -- --write",
    "format": "npm run prettier:fix && npm run lint:fix"
  },
  "dependencies": {
    "@ant-design/icons": "^5.0.1",
    "@reduxjs/toolkit": "^1.9.2",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-react": "^1.0.6",
    "antd": "^5.4.2",
    "axios": "^1.4.0",
    "dayjs": "^1.11.7",
    "events": "^3.3.0",
    "file-saver": "^2.0.5",
    "js-base64": "^3.7.3",
    "js-cookie": "^3.0.1",
    "localforage": "^1.10.0",
    "lodash": "^4.17.21",
    "match-sorter": "^6.3.1",
    "moment": "^2.29.4",
    "pinyin-pro": "^3.14.0",
    "qs": "^6.10.3",
    "query-string": "^8.1.0",
    "react": "^18.1.0",
    "react-dom": "^18.1.0",
    "react-redux": "^8.0.5",
    "react-router-dom": "^6.10.0",
    "react-viewer": "^3.2.2",
    "sort-by": "^1.2.0",
    "wangeditor": "^4.7.15",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@types/file-saver": "^2.0.5",
    "@types/js-cookie": "^3.0.1",
    "@types/lodash": "^4.14.182",
    "@types/node": "^20.1.3",
    "@types/react": "^18.0.9",
    "@types/react-dom": "^18.0.5",
    "@types/react-redux": "^7.1.25",
    "@typescript-eslint/eslint-plugin": "^5.26.0",
    "@typescript-eslint/parser": "^5.26.0",
    "@vitejs/plugin-react": "^1.3.0",
    "eslint": "^8.16.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-jsx-a11y": "^6.5.1",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-react": "^7.30.0",
    "eslint-plugin-react-hooks": "^4.5.0",
    "prettier": "^2.6.2",
    "sass": "^1.62.0",
    "typescript": "^4.6.3",
    "vite": "^4.3.9",
    "vite-tsconfig-paths": "^3.5.0"
  }
}